Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class HTTPSender

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.transport.http.HTTPSender

All Implemented Interfaces:
  Handler, java.io.Serializable

public class HTTPSender
extends BasicHandler

This is meant to be used on a SOAP Client to call a SOAP server.

Author:
  Doug Davis (dug@us.ibm.com), Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`name, options`

Constructor Summary
`HTTPSender()`

Method Summary
`void` | `handleCookie(java.lang.String cookieName, java.lang.String setCookieName, java.util.Hashtable headers, MessageContext msgContext)` little helper function for cookies
`void` | `invoke(MessageContext msgContext)` invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### HTTPSender

    public HTTPSender()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server
  Overrides:
    `invoke` in class `BasicHandler`
  Parameters:
    `msgContext` - the messsage context
  Throws:
    `AxisFault` -

### handleCookie

    public void handleCookie(java.lang.String cookieName,
                             java.lang.String setCookieName,
                             java.util.Hashtable headers,
                             MessageContext msgContext)

  little helper function for cookies
  Parameters:
    `cookieName` -
    `setCookieName` -
    `headers` -
    `msgContext` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.